' Author:	Jonathan Le, 4D, Inc.
' Date:		7/19/2004
' Desc:		Uses TypeLib Information object to find the name of a
'			an object given its application file (dll, exe, etc.)

WScript.Echo GetName

Public Function GetName()

	Dim strObjectFile

	On Error Resume Next

	strObjectFile = WScript.arguments.item(0)
	
	Set objTLIApp = CreateObject("TLI.TLIApplication")

	' For all these scripts, return -1 on error
	' On the other side, (4D) we capture the error using LAUNCH EXTERNAL PROCESS
	If Err <> 0 Then
		GetName = "-1"
	Else
		' create the TLI object
		Set objTLI = objTLIApp.TypeLibInfoFromFile(strObjectFile)

		If Err <> 0 Then
			GetName = "-1"
		Else
			' Simply return the name of this object
			GetName = objTLI.Name
		End If
	End If

	' Cleanup code
	Set objTLIApp = Nothing
	Set objTLI = Nothing

End Function